1. Users
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Users

Create User

POST
/users
Creates a new user account in the system with contact and address information.

Request Body#

FieldTypeRequiredDescription
emailstringYesUser's email address
companystringYesName of the company the user is associated with
firstNamestringYesUser's first name
lastNamestringYesUser's last name
countrystringYesUser's country of residence
citystringYesUser's city of residence
addressLineOnestringYesPrimary address line (street address)
addressLineTwostringNoSecondary address line (e.g., building number)
addressLineThreestringNoAdditional address line (e.g., apartment number)
languagePreferencestringYesUser's preferred language (e.g., en)
postalCodestringYesPostal code for the user's address
statestringYesState or province where the user resides
phoneCcstringYesCountry code for the user's phone number
phonestringYesUser's phone number (excluding country code)

Notes#

Save the userId from the response for use in subsequent user-related requests.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Body Params application/json

Example
{
    "addressLineThree": "Apt 5B",
    "languagePreference": "en",
    "email": "johndoe@company.com",
    "company": "TechCorp Inc.",
    "firstName": "John",
    "lastName": "Doe",
    "country": "US",
    "city": "New York",
    "addressLineOne": "123 Main Street",
    "addressLineTwo": "Suite 400",
    "postalCode": "10001",
    "state": "New York",
    "phoneCc": "1",
    "phone": "2125551234"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/users' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "addressLineThree": "Apt 5B",
    "languagePreference": "en",
    "email": "johndoe@company.com",
    "company": "TechCorp Inc.",
    "firstName": "John",
    "lastName": "Doe",
    "country": "US",
    "city": "New York",
    "addressLineOne": "123 Main Street",
    "addressLineTwo": "Suite 400",
    "postalCode": "10001",
    "state": "New York",
    "phoneCc": "1",
    "phone": "2125551234"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Examples
{
    "status": 200,
    "message": "User created",
    "data": {
        "id": "H8M9JV2S9HMPYFQW393AZHQVD4XM"
    },
    "actionId": "ACT_7a078272-0fa7-4db4-a85b-c78697dacea1"
}
🟠422Parameter Error
🟠400Bad Request
Modified at 2026-06-23 16:21:02
Previous
Get User Details
Next
Update User Details
Built with